Skip to main content
`Ctrl`+`K`

# PCLMVMSetMatLMVM

Replaces the `MATLMVM` matrix inside the preconditioner with the one provided by the user.

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCLMVMSetMatLMVM(PC pc, Mat B)

## Input Parameters

- pc - An `PCLMVM` preconditioner

- B - An `MATLMVM` type matrix

## See Also

KSP: Linear System Solvers, `PCLMVMGetMatLMVM()`

## Level

intermediate

## Location

src/ksp/pc/impls/lmvm/lmvmpc.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages